<div>
  <div class="vispa-view-nav">
    <ul class="nav">
      <li class="vispa-comp-item" v-if="!courses || !courses.length">
        <a href="" class="nolink bold bad">
          <span class="vispa-comp-label">No Courses Available</span>
        </a>
      </li>
      <li class="vispa-comp-item" v-for="course in courses">
        <a
          :class="{'nolink': !course.perm.admin, 'bold': course.perm.admin}"
          @click="course.perm.admin? showContent('edit-course', course, undefined) : null"
        >
          <span class="vispa-comp-label">{{course.name}}</span>
        </a>
        <ul class="nav">
          <li class="vispa-comp-item" v-for="a in course.assignments" track-by="$index">
            <a
              href="#"
              @click="showContent(course.perm.tutor? 'admin-view' : 'student-view', course, a)"
            >
              <span class="vispa-comp-label">{{a.name}}</span>
            </a>
          </li>
          <li class="vispa-comp-item" v-if="course.perm.create_course && course.isItem">
            <a href="#" @click="showContent('new-assignment', course, skeletons.assignment())">
              <span class="vispa-comp-label">+</span>
            </a>
          </li>
        </ul>
      </li>
    </ul>
  </div>
    <div class="vispa-view-content">
      <component
        :is="contentView"
        :assignment="currentAssignment"
        :course="currentCourse"
        :view="$options.view"
        :skeletons="skeletons"
        v-if="contentView"
      ></component>
    </div>
</div>
